# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "fast-down-ffi"
version = "0.4.1"
authors = [
    "share121 <me@s121.top>",
    "Cyan Changes <contact@cyans.me>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "这个库旨在提供一个合适、易于使用的 fast-down 包装"
homepage = "https://github.com/fast-down/core"
documentation = "https://docs.rs/fast-down-ffi"
readme = "README.md"
keywords = [
    "concurrency",
    "downloader",
    "parallel",
    "performance",
    "thread",
]
categories = ["network-programming"]
license = "MIT"
repository = "https://github.com/fast-down/core"

[features]
file = ["fast-down/file"]
mem = ["fast-down/mem"]
reqwest-tls = ["fast-down/reqwest-tls"]
sanitize-filename = ["fast-down/sanitize-filename"]
serde = [
    "dep:serde",
    "fast-down/serde",
]

[lib]
name = "fast_down_ffi"
path = "src/lib.rs"

[dependencies.crossfire]
version = "3.0"

[dependencies.fast-down]
version = "5.0"
features = [
    "fast-puller",
    "getifaddrs",
]

[dependencies.parking_lot]
version = "0.12"
features = ["serde"]

[dependencies.reqwest]
version = "0.13.2"
features = [
    "brotli",
    "default-tls",
    "deflate",
    "gzip",
    "http2",
    "socks",
    "system-proxy",
    "zstd",
]
default-features = false

[dependencies.serde]
version = "1.0.156"
optional = true

[dependencies.thiserror]
version = "2.0"

[dependencies.tokio]
version = "1.39"

[dependencies.tokio-util]
version = "0.7"

[dependencies.url]
version = "2.5.8"

[lints.clippy]
multiple_crate_versions = "allow"

[lints.clippy.all]
level = "deny"
priority = -1

[lints.clippy.cargo]
level = "deny"
priority = -1

[lints.clippy.nursery]
level = "deny"
priority = -1

[lints.clippy.pedantic]
level = "deny"
priority = -1
